- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- AcknowledgeType
Acknowledges an existing violation. By acknowledging a violation, users acknowledge the existence of a compliance violation in their workload and decide to ignore it due to a valid business justification. Acknowledgement is a permanent operation and it cannot be reverted.
HTTP request
POST https://{endpoint}/v1/{name=organizations/*/locations/*/workloads/*/violations/*}:acknowledge
Where {endpoint} is one of the supported service endpoints.
The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. The resource name of the violation to acknowledge. Format: |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "comment": string, "nonCompliantOrgPolicy": string, "acknowledgeType": enum ( |
| Fields | |
|---|---|
comment |
Required. The business justification for acknowledging the violation. The comment can't be empty or contain only whitespace characters. |
nonCompliantOrgPolicy |
Optional. Deprecated: This field is deprecated and will be removed in a future version of the API. The service identifies the violation to acknowledge by The name of the organization policy that was modified with a non-compliant change and resulted in this violation. Formats:
|
acknowledgeType |
Optional. The scope of the acknowledgement for the specified violation. If not specified, |
view |
Optional. The violation view ( |
Response body
If successful, the response body is empty.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/assuredworkloadshttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
assuredworkloads.violations.update
For more information, see the IAM documentation.
AcknowledgeType
The scope of the acknowledgement.
| Enums | |
|---|---|
ACKNOWLEDGE_TYPE_UNSPECIFIED |
Default value. The acknowledge type isn't specified. |
SINGLE_VIOLATION |
Acknowledges only the specified violation. |
EXISTING_CHILD_RESOURCE_VIOLATIONS |
Acknowledges the specified organization policy violation and all of its existing associated resource violations. |